BuildRequires(pre): rpm-build-python

%define oname gist
%define gistpath %python_sitelibdir/%oname/g

Name: python-module-%oname
Version: 1.5.28
%define cflags %optflags %optflags_shared -I%_builddir/%name-%version/src/gist
Release: alt2
Summary: Scientific graphics (plotting) library
License: Free for non-commercial using
Group: Development/Python
Url: http://hifweb.lbl.gov/public/software/gist/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://hifweb.lbl.gov/public/software/gist/pygist-1.5.28.tar.gz
Source1: http://hifweb.lbl.gov/public/software/gist/pygist.pdf
Source2: sigfpe.h

BuildPreReq: python-devel libX11-devel libreadline-devel
BuildPreReq: python-module-Numeric
%setup_python_module %oname
%py_requires Numeric

%description
Gist is a scientific graphics library written by David H. Munro of
Lawrence Livermore National Laboratory. It produces x-vs-y plots, 2-D
quadrilateral mesh plots with contours, filled contours, vector fields,
or pseudocolor maps on such meshes. Some 3-D plot capabilities are also
available.

%package doc
Summary: Documentation for Gist
Group: Documentation
BuildArch: noarch

%description doc
Gist is a scientific graphics library written by David H. Munro of
Lawrence Livermore National Laboratory. It produces x-vs-y plots, 2-D
quadrilateral mesh plots with contours, filled contours, vector fields,
or pseudocolor maps on such meshes. Some 3-D plot capabilities are also
available.

This package contains documentation for Gist.

%prep
%setup
#cp src/play/unix/config.h src/play/unix/gist_config.h
install -m644 %SOURCE2 src/gist

%build
sed -i 's|@GISTPATH@|%gistpath|g' \
	src/gist/Makefile \
	src/Makefile.gist \
	src/gist/gread.c \
	setup.py

ln VERSION src
export CFLAGS="%cflags"

python setup.py config
%python_build

LGIST=$(find $PWD -name 'gistC.so')
sed -i "s|@LGIST@|$LGIST|g" src/gist/Makefile src/Makefile.gist
pushd src
%make_build Y_SITE=%buildroot%prefix ysite
%make_build config
%make_build
popd

%install
export CFLAGS="%cflags"
%python_install
pushd src
%makeinstall_std
popd

install -d %buildroot%gistpath
mv %buildroot%prefix/g/* %buildroot%gistpath/

install -d %buildroot%_docdir/%name
install -p -m644 %SOURCE1 %buildroot%_docdir/%name
mv %buildroot%_includedir/config.h \
	%buildroot%_includedir/gist_config.h

%files
%doc ChangeLog HISTORY NOTES.developer README RELEASE release.msg
%python_sitelibdir/*
%_bindir/%oname
%_includedir/*

%files doc
%_docdir/%name

%changelog
* Tue Sep 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5.28-alt2
- Avoided file conflict with libbobpp-devel

* Mon Sep 28 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5.28-alt1
- Initial build for Sisyphus

